---
kind: pipeline
type: docker
name: backset.cn deploy

steps:
  - name: 构建
    image: node:16.19-alpine
    volumes:
      - name: dist-web
        path: ./dist
    commands:
      - node -v
      - npm -v
      - npm install -g pnpm
      - pwd
      - ls
      - pnpm i
      - pnpm build:web

# 宿主机目录
volumes:
  - name: dist-web
    host:
      path: /www/wwwroot/nginx/html/backset.cn
